function PlayerUpdate(idx)
	local as = gSportsRNA
	local player = as:GetTable("wvPlayer", idx)
	local state = as:GetTable("wvState")
	
	db.player[idx].envLighting = as:GetInt(state, "wvAttribEnvLighting")
	db.player[idx].stadiumLightID = as:GetInt(state, "wvAttribStadLightID")
	db.player[idx].stadiumID = as:GetInt(state, "wvAttribStadID")
	local weather = as:GetInt(state, "wvAttribStadWeather" )
	local crt_season = as:GetInt(state, "wvStadSeason" )
	if (weather == 1 or weather == 2) then
		db.player[idx].wet = 1
	else
		db.player[idx].wet = 0
	end

	if (weather == 1 or weather == 2 or crt_season == 1) then
		db.player[idx].cold = 1
	else
		db.player[idx].cold = 0
	end
	
	db.player[idx].playerassetid = as:GetInt(player, "playerassetid") 
	db.player[idx].teamid = as:GetInt(player, "teamid") 
	db.player[idx].teamside = as:GetInt(player, "teamside") 
	db.player[idx].isgoalie = as:GetInt(player, "goalie") 
	
	db.player[idx].gender = as:GetInt(player, "gender")
	db.player[idx].strgender = "male"
	
	if (db.player[idx].gender == 1) then
		db.player[idx].strgender = "female"
	end
	
	db.player[idx].kit = as:GetInt(player, "kit") 
	db.player[idx].kitType = as:GetInt(player, "kitType") 
	db.player[idx].kitYear = as:GetInt(player, "kitYear") 

	local kitNumber = as:GetInt(player, "kitNumber") 
	db.player[idx].kitNumberTens = math.floor ( kitNumber / 10 )
	db.player[idx].kitNumberUnits = math.floor ( math.fmod(kitNumber, 10) )

	db.player[idx].kitNameFont = as:GetInt(player, "kitNameFont")
	db.player[idx].kitNumberFont = as:GetInt(player, "kitNumberFont")
	db.player[idx].kitNameColor = as:GetInt(player, "kitNameColor")
	
	db.player[idx].shortsNumberFont = as:GetInt(player, "shortsNumberFont")
	db.player[idx].jerseyNameVisible = as:GetInt(player, "jerseyNameVisible")
	db.player[idx].jerseyNameLayout = as:GetInt(player, "jerseyNameLayout")
	
	db.player[idx].head = as:GetInt(player, "playerHead") 
	db.player[idx].headClass = as:GetInt(player, "playerHeadClass") 
	
	db.player[idx].jerseyCollarType = as:GetInt(player, "jerseyCollarType") 
	db.player[idx].jerseySleeveLength = as:GetInt(player, "jerseySleeveLength") 
	db.player[idx].jerseyArmBand = as:GetInt(player, "jerseyArmBand") 
	db.player[idx].jerseyTucked = as:GetInt(player, "jerseyTucked") 
	db.player[idx].jerseyfit = as:GetInt(player, "jerseyfit") 
	db.player[idx].socklength = as:GetInt(player, "socklength")
	db.player[idx].shortstyle = as:GetInt(player, "shortstyle")
	
	db.player[idx].bodySkinToneType = as:GetInt(player, "playerBodySkinToneType")
	db.player[idx].headSkinToneType = as:GetInt(player, "playerHeadSkinToneType")
	db.player[idx].headSkinType = as:GetInt(player, "playerHeadSkinType")
	db.player[idx].playerBodySkinColor = as:GetInt(player, "playerBodySkinColor")
	db.player[idx].faceGenSkinToneType = as:GetInt(player, "faceGenSkinToneType")
	
	db.player[idx].shoeType = as:GetInt(player, "shoeType")
	db.player[idx].shoeDesign = as:GetInt(player, "shoeDesign")
	db.player[idx].shoeColorPri = as:GetInt(player, "shoeColorPrim")
	db.player[idx].shoeColorSec = as:GetInt(player, "shoeColorSec")
	db.player[idx].shoeColorTer = as:GetInt(player, "shoeColorTer")

	db.player[idx].faceType = as:GetInt(player, "faceType")
	db.player[idx].faceProxyHeadClass = as:GetInt(player, "faceProxyHeadClass")
	-- Faceproxyheadclass should never be greater than one including createplayer
	if (db.player[idx].faceProxyHeadClass == 2) then
		db.player[idx].faceProxyHeadClass = 1
	end
	
	db.player[idx].faceSideBurn = as:GetInt(player, "faceSideBurn")
	db.player[idx].facialHairColor = as:GetInt(player, "facialHairColor")
	db.player[idx].facialHairType = as:GetInt(player, "facialHairType")
	db.player[idx].eyebrow = as:GetInt(player, "eyebrow")
	
	db.player[idx].isVirtualPro = as:GetInt(player, "isVirtualPro")
	db.player[idx].isCreatePlayer = as:GetInt(player, "isCreatePlayer")
	db.player[idx].faceTexExtension = "rx3"
	
	db.player[idx].isCreationZone = as:GetInt(player, "isFCZ")
	db.player[idx].hasCzCrestImage = as:GetInt(player, "hasCzCrestImage")
	db.player[idx].crestAssetId = as:GetInt(player, "crestAssetId")
	db.player[idx].forceLowResBNM = as:GetInt(player, "forceLowResBNM")
	db.player[idx].forcePowerOfTwoBNM = as:GetInt(player, "forcePowerOfTwoBNM")
	db.player[idx].forceunderarm = as:GetInt(player, "forceunderarm")
	db.player[idx].forceundershorts = as:GetInt(player, "forceundershorts")
	db.player[idx].forceunderneck = as:GetInt(player, "forceunderneck")

	db.player[idx].sponsorAssetId = as:GetInt(player, "sponsorAssetId")
	db.player[idx].hotspotJerseySponsorL = as:GetFloat(player, "hotspotJerseySponsorL")
	db.player[idx].hotspotJerseySponsorT = as:GetFloat(player, "hotspotJerseySponsorT")
	db.player[idx].hotspotJerseySponsorR = as:GetFloat(player, "hotspotJerseySponsorR")
	db.player[idx].hotspotJerseySponsorB = as:GetFloat(player, "hotspotJerseySponsorB")
	
	db.player[idx].shortsNumberColorPri = as:GetInt(player, "shortsNumberColorPri")
	db.player[idx].shortsNumberColorSec = as:GetInt(player, "shortsNumberColorSec")
	db.player[idx].shortsNumberColorTer = as:GetInt(player, "shortsNumberColorTer")
	
	db.player[idx].kitNumberColorPri = as:GetInt(player, "kitNumberColorPri")
	db.player[idx].kitNumberColorSec = as:GetInt(player, "kitNumberColorSec")
	db.player[idx].kitNumberColorTer = as:GetInt(player, "kitNumberColorTer")
	
	db.player[idx].kitColourJerseyPri = as:GetInt(player, "kitColourJerseyPri")
	db.player[idx].kitColourJerseySec = as:GetInt(player, "kitColourJerseySec")
	db.player[idx].kitColourJerseyTer = as:GetInt(player, "kitColourJerseyTer")

	db.player[idx].kitColourShortPri = as:GetInt(player, "kitColourShortPri")
	db.player[idx].kitColourShortSec = as:GetInt(player, "kitColourShortSec")
	db.player[idx].kitColourShortTer = as:GetInt(player, "kitColourShortTer")

	db.player[idx].kitColourSocksPri = as:GetInt(player, "kitColourSocksPri")
	db.player[idx].kitColourSocksSec = as:GetInt(player, "kitColourSocksSec")
	db.player[idx].kitColourSocksTer = as:GetInt(player, "kitColourSocksTer")
	
	db.player[idx].kitColourMaskPri = 0x00FF0000
	db.player[idx].kitColourMaskSec = 0x0000FF00
	db.player[idx].kitColourMaskTer = 0x000000FF


	db.player[idx].sponsorcolour = as:GetInt(player, "sponsorcolour")

	db.player[idx].crestTexName = "crest_cm"
	
	if (db.player[idx].isCreationZone == 1 and db.player[idx].hasCzCrestImage > 0) then
		db.player[idx].crestTexName = "png";
	end

	if (db.player[idx].isVirtualPro == 1) then
		db.player[idx].faceTexExtension = "dds"
	end
	
	db.player[idx].faceTypeFallback = 0
	db.player[idx].headFallback = 0
	db.player[idx].faceSideBurnFallback = db.player[idx].faceSideBurn
	db.player[idx].facialHairColorFallback = db.player[idx].facialHairColor
	db.player[idx].facialHairTypeFallback = db.player[idx].facialHairType
	db.player[idx].headSkinTypeFallback = db.player[idx].headSkinType
	db.player[idx].headSkinToneTypeFallback = db.player[idx].headSkinToneType
	
	if(db.player[idx].headSkinToneTypeFallback == 1 or db.player[idx].headSkinToneTypeFallback == 3 or db.player[idx].headSkinToneTypeFallback == 7) then
		db.player[idx].headSkinToneTypeFallback = db.player[idx].headSkinToneTypeFallback + 1
	end
	
	-- If create player then we need the create player head
	-- head_{id}_{headClass}.rx2
	-- {id} == 0 is create player
	-- {id} == 1 is create player copy
	-- {id} == 2 is facegen head
	-- {id} == 3 is facegen head copy
 	if (db.player[idx].isCreatePlayer == 1) then
		db.player[idx].headClass = 2
		db.player[idx].faceProxyHeadClass = 1
		
		if (db.player[idx].isVirtualPro == 1) then
			db.player[idx].faceSideBurn = 0
			db.player[idx].facialHairColor = 0
			db.player[idx].facialHairType = 0
			db.player[idx].headSkinType = 0
			db.player[idx].headSkinToneType = 0
			db.player[idx].bodySkinToneType = 11 -- force body skin tone type to 11 (greyscale) for face gen
			
		end
		
	end
	
	
	db.player[idx].eyeColor = as:GetInt(player, "eyeColor")
	db.player[idx].hair = as:GetInt(player, "hair")
	db.player[idx].hairColor = as:GetInt(player, "hairColor") 
	


	if (db.player[idx].headClass == 0) then
	
		local playerassetid = db.player[idx].playerassetid
		
		db.player[idx].head = playerassetid 
		-- db.player[idx].eyeColor = playerassetid

		db.player[idx].eyebrow = 0
		db.player[idx].faceType = playerassetid
		db.player[idx].faceSideBurn = 0
		db.player[idx].facialHairColor = 0
		db.player[idx].facialHairType = 0
		db.player[idx].headSkinType = 0
		db.player[idx].headSkinToneType = 0

		db.player[idx].hair = playerassetid
		db.player[idx].hairColor = 0
	else
		if(db.player[idx].headSkinToneType == 1 or db.player[idx].headSkinToneType == 3 or db.player[idx].headSkinToneType == 7) then
			db.player[idx].headSkinToneType = db.player[idx].headSkinToneType + 1
		end
		--tmp
		-- db.player[idx].hairColorIdx = db.player[idx].hairColor
		-- db.player[idx].hairColor = 0	
	end
	
	
-- Seasonal Assets --
	-- These exist only here and not in the code:
	local seasonal = as:GetInt(player, "seasonaljersey")
	
	--GET PLAYER WINTER ACCESSORIES
	seasonal = getWinterAccessories(db.player[idx].playerassetid,seasonal)
	
	--SLEEVE LENGTH
	db.player[idx].jerseySleeveLength = getSleeveLength(db.player[idx].playerassetid,db.player[idx].jerseySleeveLength)

	if (db.player[idx].isVirtualPro == 1 or db.player[idx].isCreatePlayer == 1) then
	if ((seasonal < 0) or (seasonal > 4)) then
	seasonal = db.player[idx].jerseySleeveLength
	end
	end
	
	
	if (crt_season == 0 or crt_season == 1 or crt_season == 3) then
		seasonal = db.player[idx].jerseySleeveLength
	end


	
	if (seasonal == 0) then
		-- Short Sleeves
		db.player[idx].jerseySleeveLength  = 0
		db.player[idx].underneck = -1
		db.player[idx].underarms = -1
		db.player[idx].armLength = 0
	elseif (seasonal == 1) then
		-- Long Sleeves
		db.player[idx].jerseySleeveLength  = 1
		db.player[idx].underneck = -1
		db.player[idx].underarms = -1
		db.player[idx].armLength = 1
	elseif (seasonal == 2) then
		-- Long Sleeves and just underarmor neck
		db.player[idx].jerseySleeveLength = 1
		db.player[idx].underneck = 0
		db.player[idx].underarms = -1
		db.player[idx].armLength = 1
	elseif (seasonal == 3) then
		-- Short sleeves with underarmor arms no neck
		db.player[idx].jerseySleeveLength  = 0
		db.player[idx].underneck = -1
		db.player[idx].underarms = 0
		db.player[idx].armLength = 1
	elseif (seasonal == 4) then
		-- Short sleeves with underarmor neck and arms
		db.player[idx].jerseySleeveLength  = 0
		db.player[idx].underneck = 0
		db.player[idx].underarms = 0
		db.player[idx].armLength = 1
	end
	
	if (db.player[idx].cold > 0 or db.player[idx].isVirtualPro == 1 or db.player[idx].isCreatePlayer == 1) then
		db.player[idx].undershorts = 0 
	else
		db.player[idx].undershorts = -1
	end

	-- end of seasonal assets
	
	-- check if we need to force underwear for injuries
	if ( db.player[idx].forceunderarm == 1 ) then
		db.player[idx].jerseySleeveLength  = 0
		db.player[idx].underarms = 0
		db.player[idx].armLength = 1
	end
	
	if ( db.player[idx].forceundershorts == 1 ) then
		db.player[idx].undershorts = 0 
	end
	
	if ( db.player[idx].forceunderneck == 1 ) then
		db.player[idx].underneck = 0 
	end

	-- Goalie long pants, turn off necessary assets.
	if( db.player[idx].shortstyle == 1 ) then
		db.player[idx].socklength = -1
		db.player[idx].undershorts = -1
	end
	
	db.player[idx].useTextureComposition = as:GetInt(player, "useTextureComposition")
		
		
	--RMCUSTOMSTART
	
	
	local outidx = 3
	if (db.player[idx].teamside == 1) then
	outidx = 14
	end
	
	local outplayer = as:GetTable("wvPlayer", outidx)
	
	local kitOutfield = as:GetInt(outplayer, "kit") 
	local kitTypeOutfield = as:GetInt(outplayer, "kitType") 
	local kitYearOutfield = as:GetInt(outplayer, "kitYear")
	
	local wipe3d = as:GetTable("wvWipe", 1)
	
	db.player[idx].hometeam = as:GetInt(wipe3d, "homeTeamAssetID")
	db.player[idx].homeid = as:GetInt(wipe3d, "homeKitTypeID")
	db.player[idx].awayteam = as:GetInt(wipe3d, "awayTeamAssetID")
	db.player[idx].awayid = as:GetInt(wipe3d, "awayKitTypeID")
	db.player[idx].tournid = as:GetInt(wipe3d, "leagueID")
	db.player[idx].tournid = getTournamentGraphics(db.player[idx].tournid)


	--IF GENERIC KIT
	if (db.player[idx].teamid == db.player[idx].kit) then
	db.player[idx].genkit = db.player[idx].teamid
	else
	db.player[idx].genkit = db.player[idx].kit
	if (db.player[idx].kitType ~= 5) then
	db.player[idx].kit = db.player[idx].teamid
	end
	end
	
	--TRAINING KIT HOME
	if ((db.player[idx].genkit == 7000) and (db.player[idx].kitType == 6)) then
	db.player[idx].kitType = db.player[idx].kitType
	end
	
	--TRAINING KIT AWAY
	if ((db.player[idx].genkit == 7000) and (db.player[idx].kitType == 7)) then
	db.player[idx].kitType = db.player[idx].kitType
	end
	

		

	--RANDOM FACE
	db.player[idx].facerand = math.random(0,3)

	--IF REFEREE
	if (db.player[idx].kitType == 5) then
	db.player[idx].playerassetid = db.player[idx].playerassetid + 500000
	end


	--PLAYER FILES
	if (oldidx ~= idx) then
	if ((db.player[idx].isCreatePlayer ~= 1) or (db.player[idx].teamside ~= -1)) then
	if (db.player[idx].kit ~= db.player[idx].teamid) then
	LoadAsync("data/fifarna/lua/assignments/teams/team_"..db.player[idx].kit..".lua")
	end
	LoadAsync("data/fifarna/lua/assignments/teams/team_"..db.player[idx].teamid..".lua")
	LoadAsync("data/fifarna/lua/assignments/players/player_"..db.player[idx].playerassetid..".lua")
	LoadAsync("data/fifarna/lua/assignments/playershoes/playershoe_"..db.player[idx].playerassetid..".lua")
	LoadAsyncWait()
	end

	if (idx == 0) then
	local temp = math.random(1,1000000)
	math.randomseed(seed + temp + 123456)
	math.random()
	math.random()
	math.random()
	end
	
	local randl = (idx + db.player[idx].playerassetid)%10
	for i=0,randl do
	math.random()
	end
	
	
	
	end
	oldidx = idx


		
	if ((db.player[idx].isCreationZone == 0) and (db.player[idx].kitType ~= 5)) then
	--db.player[idx].sponsorAssetId = 1 --TEMP
	db.player[idx].sponsorcolour = 0xFFFFFFFF
	db.player[idx].hotspotJerseySponsorL = 0
	db.player[idx].hotspotJerseySponsorT = 0
	db.player[idx].hotspotJerseySponsorR = 1
	db.player[idx].hotspotJerseySponsorB = 1
	db.player[idx].useTextureComposition = 1
	end
	
	
	db.player[idx].genTexString = db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].gender


end


---------------------------------------------------------------------------------------------------
-- Hair color matrix
local HAIR_COLOR_DEFAULT_LIST = { 0x00FF0000, 0x0000FF00, 0x000000FF }
local HAIR_COLOR_PRI_LIST = {	0x00B5A787, 0x00000000, 0x00AB875E, 0x00534238,
								0x00A89176, 0x007B614A, 0x00483928, 0x00744F34,
								0x007A7A7A, 0x00777777, 0x006A7434, 0x00346A74,
								0x00744F34, 0x00603124 }
local HAIR_COLOR_SEC_LIST = {	0x00A89269, 0x00231E1E, 0x00A28963, 0x0045332B,
								0x00C5B48F, 0x007E6751, 0x00544236, 0x006C371C,
								0x009C9996, 0x00787B7D, 0x004B6C28, 0x0028466C,
								0x006C4633, 0x00583325 }
local HAIR_COLOR_TER_LIST = {	0x00473326, 0x00100E0D, 0x00362815, 0x0017110E,
								0x0056463A, 0x002F211A, 0x001F140E, 0x00250E02,
								0x00362F2D, 0x00232421, 0x0022250F, 0x0016162C,
								0x0021150F, 0x00171413 }
local MAX_COLOR_INDEX = 15
local HAIR_COLOR_PRI_TYPE = 1
local HAIR_COLOR_SEC_TYPE = 2
local HAIR_COLOR_TER_TYPE = 3
-- Get hair color for generic hair recoloring 
function GetHairColorARGB(idx, colorType)
	
	local hairColor = 0x00FF0000
	local hairColorIndex = db.player[idx].hairColor  + 1
   
	-- only apply to generic hair
	if (db.player[idx].headClass > 0 and hairColorIndex > 0 and hairColorIndex < MAX_COLOR_INDEX) then
		if (colorType == HAIR_COLOR_PRI_TYPE) then
			hairColor =  HAIR_COLOR_PRI_LIST[hairColorIndex]
		elseif (colorType == HAIR_COLOR_SEC_TYPE) then
			hairColor =  HAIR_COLOR_SEC_LIST[hairColorIndex]
		elseif (colorType == HAIR_COLOR_TER_TYPE) then
			hairColor =  HAIR_COLOR_TER_LIST[hairColorIndex]
		end
	else
		hairColor = HAIR_COLOR_DEFAULT_LIST[colorType]
	end
	
	return hairColor
end

---------------------------------------------------------------------------------------------------
function EASWMorphFile(idx)
	if (db.player[idx].isVirtualPro == 1) then
		return string.format("data/easw/deltas_%d.easwmorph", db.player[idx].faceType) --12366)
	else
		return "dummyasset.easwmorph"
	end
end

---------------------------------------------------------------------------------------------------
function GetHeadAndHairAssetType(idx)
	if (db.player[idx].isCreatePlayer == 1) then
		return "cloneasset"
	else
		return ""
	end
end

---------------------------------------------------------------------------------------------------
function MorphFile(idx)
	if (db.player[idx].isCreatePlayer == 1 and db.player[idx].isVirtualPro == 0) then
		return "data/sceneassets/createplayer/head_0_2_0_1_morphtargets.rx3"
	else
		return "dummyasset.rx3"
	end
end

---------------------------------------------------------------------------------------------------
function GetKitFifaYoun(idx)		
	kitType = math.floor(math.fmod(db.player[idx].kitType, 10))
	local rand = math.random(0,3)
	kitstring = ""
	

	if     kitType >= 0 then
	kitstring = kitstring.."data/sceneassets/kit/samekit_"..db.player[idx].hometeam.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam.."_"..db.player[idx].tournid..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/samekit_"..db.player[idx].hometeam.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam.."_0.rx3;" 
	kitstring = kitstring.."data/sceneassets/kit/specifichomekit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam.."_"..db.player[idx].awayid.."_"..db.player[idx].tournid..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specifichomekit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam.."_"..db.player[idx].tournid..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specifichomekit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam.."_"..db.player[idx].awayid.."_0.rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specifichomekit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].awayteam..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specificawaykit_"..db.player[idx].awayteam.."_"..db.player[idx].kitType.."_"..db.player[idx].hometeam.."_"..db.player[idx].homeid.."_"..db.player[idx].tournid..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specificawaykit_"..db.player[idx].awayteam.."_"..db.player[idx].kitType.."_"..db.player[idx].hometeam.."_0_0_"..rand..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specificawaykit_"..db.player[idx].awayteam.."_"..db.player[idx].kitType.."_"..db.player[idx].hometeam.."_"..db.player[idx].tournid..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specificawaykit_"..db.player[idx].awayteam.."_"..db.player[idx].kitType.."_"..db.player[idx].hometeam.."_"..db.player[idx].homeid.."_0.rx3;"
	kitstring = kitstring.."data/sceneassets/kit/specificawaykit_"..db.player[idx].awayteam.."_"..db.player[idx].kitType.."_"..db.player[idx].hometeam..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_0_0.rx3;"
	kitstring = kitstring.."data/sceneassets/kit/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_0.rx3;"
	kitstring = kitstring.."data/sceneassets/kit/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].kitYear..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit0/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].kitYear..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit1/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].kitYear..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit2/kit_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].kitYear..".rx3;"
	kitstring = kitstring.."data/sceneassets/kit/kit_7000_"..db.player[idx].kitType.."_"..db.player[idx].kitYear..".rx3;"
	end
		
	return kitstring
end

---------------------------------------------------------------------------------------------------
function GetCrestAsset(idx)
	if (db.player[idx].isCreationZone == 1) then
		if (db.player[idx].hasCzCrestImage > 0) then
			return "data/ugc/cz_crest/${db.player[?].crestAssetId}.png;data/ugc/cz_crest/1.png"
		else
			return "data/sceneassets/crest/crest_${db.player[?].crestAssetId}.rx3"
		end
	else
		return GetKitFifaYoun(idx)
	end

end

---------------------------------------------------------------------------------------------------
function GetSkinTone(idx, lod)
	local useLight = false
	if (db.player[idx].isVirtualPro == 1) then
		-- // 0 is light, 1 is dark
		useLight = ( db.player[idx].faceGenSkinToneType == 0 )
	else
		useLight = ( db.player[idx].bodySkinToneType < 5 )
	end
	
	if ( useLight ) then
		return ( lod == 0 ) and "skin_light" or "skin_lod_light"
	else
		return ( lod == 0 ) and "skin_dark" or "skin_lod_dark"
	end
end

---------------------------------------------------------------------------------------------------
function GetFaceTone(idx, lod)
	local useLight = false
	if (db.player[idx].isVirtualPro == 1) then
		-- // 0 is light, 1 is dark
		useLight = ( db.player[idx].faceGenSkinToneType == 0 )
	else
		useLight = ( db.player[idx].bodySkinToneType < 5 )
	end
	
	if ( useLight ) then
		return ( lod == 0 ) and "face_light" or "face_lod_light"
	else
		return ( lod == 0 ) and "face_dark" or "face_lod_dark"
	end
end

---------------------------------------------------------------------------------------------------
function PlayerAssetHighLod(player, lod)
	local gr = gRenderables
	
	local as = gSportsRNA
	local settingTable = as:GetTable("Settings")
	
	local levelOfDetail = as:GetString(settingTable, "LevelOfDetail") 
	
    -- GEO's
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:AddAsset(player, lod, "jerseybnmlod", "data/sceneassets/kit/jersey_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_bnm_lod.rx3")
		gr:AddAsset(player, lod, "shortsbnmlod", "data/sceneassets/kit/shorts_${db.player[?].shortstyle}_bnm_lod.rx3")		
	end
	gr:AddAsset(player, lod, "jersey", "data/sceneassets/body/jersey_1_${db.player[?].jerseyCollarType}_${db.player[?].jerseySleeveLength}_${db.player[?].jerseyArmBand}_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "arms", "data/sceneassets/body/arms_1_${db.player[?].armLength}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "shorts", "data/sceneassets/body/shorts_1_${db.player[?].shortstyle}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "shoes",  "data/sceneassets/shoe/playershoe_${db.player[?].playerassetid}_0_0_0.rx3;data/sceneassets/shoe/shoe_${db.player[?].shoeType}.rx3")
	gr:AddAsset(player, lod, "socks", "data/sceneassets/body/sock_1_${db.player[?].socklength}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "legs",  "data/sceneassets/body/legs_1_${db.player[?].socklength}_${db.player[?].gender}.rx3")
	gr:AddAssetEx(player, lod, "${GetHeadAndHairAssetType(?)}", "hair1", "${GetRMHairMod(?)}data/sceneassets/hair/hair_${db.player[?].hair}_${db.player[?].faceProxyHeadClass}_0.rx3")
	gr:AddAssetEx(player, lod, "${GetHeadAndHairAssetType(?)}", "hair2", "${GetRMHairMod(?)}data/sceneassets/hair/hair_${db.player[?].hair}_${db.player[?].faceProxyHeadClass}_0.rx3")
	gr:AddAssetEx(player, lod, "${GetHeadAndHairAssetType(?)}", "head",  "${GetRMFaceMod(?)}data/sceneassets/heads/head_${db.player[?].head}_${db.player[?].headClass}_0.rx3")
    -- Point the eyes to the same asset the head uses, whether it being cloned or not.
	gr:AddAssetEx(player, lod, "fromasset", "eyes", "head")
	-- non volume texture normalMap for socks
	gr:AddAsset(player, lod, "sockbnmlod", "data/sceneassets/kit/shorts_${db.player[?].shortstyle}_bnm_lod.rx3")
	
	-- Add the morph files
	
	local priority = 0	-- default priority
	local temporary = 1	-- mark as temporary asset
	gr:AddAsset(player, lod, "morphhead", "${MorphFile(?)}", priority, temporary)
	gr:AddAsset(player, lod, "easwmorph", "${EASWMorphFile(?)}")
	
	local part = "jersey"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "jersey_material", "${AttribMaterial('jerseylod')}" )
		gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnmlod", "jersey_nm")
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "jersey_material", "${AttribMaterial('jersey')}" )
		gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnm", "jersey_nm")
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShirt_Tens", "kitnumbers", "numbers_${db.player[?].kitNumberTens}")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShirt_Units", "kitnumbers", "numbers_${db.player[?].kitNumberUnits}")
	gr:SetTexture(player, lod, part, "textures", "tex_decalmap", "cresttex", "${db.player[?].crestTexName}")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "jerseyName", "namestamp${?}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetHotSpot(player, lod, part, "global", "jersey_decalBounds", "kithotspots", "jersey", "team")
	gr:SetHotSpot(player, lod, part, "global", "jersey_nameBound", "kithotspots", "jersey", "name")
	gr:SetHotSpot(player, lod, part, "global", "jersey_nameArcCenter", "kithotspots", "jersey", "name_arccenter")
		
	gr:SetConstantInt(player, lod, part, "global", "jersey_nameLayout", "${db.player[?].jerseyNameLayout}")
	
	gr:SetConstantARGB(player, lod, part, "global", "jersey_nameColor", "${db.player[?].kitNameColor}")
	
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorPri", "${db.player[?].kitNumberColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorSec", "${db.player[?].kitNumberColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorTer", "${db.player[?].kitNumberColorTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_frontNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_frontNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_backNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_backNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	skinTone = "${GetSkinTone(?,"..lod..")}"
	faceTone = "${GetFaceTone(?,"..lod..")}"
	
	part = "arms"
	gr:CreateMaterialFromAttribulator(player, lod, part, "head_material",  skinTone)
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "skintex", "body_${db.player[?].bodySkinToneType}_${db.player[?].strgender}_cm")  
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "bodycmn", "body_${db.player[?].strgender}_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "bodycmn", "body_${db.player[?].strgender}_coeff")
	gr:SetConstantARGB(player, lod, part, "global", "skincolor", "${db.player[?].playerBodySkinColor}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	part = "legs"
	gr:CreateMaterialFromAttribulator(player, lod, part, "head_material", skinTone )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "skintex", "body_${db.player[?].bodySkinToneType}_${db.player[?].strgender}_cm")	
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "bodycmn", "body_${db.player[?].strgender}_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "bodycmn", "body_${db.player[?].strgender}_coeff")
	gr:SetConstantARGB(player, lod, part, "global", "skincolor", "${db.player[?].playerBodySkinColor}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	part = "shorts"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "shorts_material", "${AttribMaterial('shortslod')}" )
		gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnmlod", "shorts_nm")
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "shorts_material", "${AttribMaterial('shorts')}") 
		gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnm", "shorts_nm")
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "tex_decalmap", "cresttex", "${db.player[?].crestTexName}")	
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShorts_Tens", "shortsnumbers", "numbers_${db.player[?].kitNumberTens}")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShorts_Units", "shortsnumbers", "numbers_${db.player[?].kitNumberUnits}")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetHotSpot(player, lod, part, "global", "shorts_decalBounds", "shortshotspots", "shorts", "team")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourShortPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourShortSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourShortTer}")
	
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorPri", "${db.player[?].shortsNumberColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorSec", "${db.player[?].shortsNumberColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorTer", "${db.player[?].shortsNumberColorTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "shorts_frontNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "shorts_frontNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	-- head
	part = "head"
	gr:CreateMaterialFromAttribulator(player, lod, part, "head_material", faceTone )
	gr:SetSubMesh(player, lod, part, "head")
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "facetex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "beardTexture", "beardtex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "browTexture", "browtex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "headcmn", "head_0_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "headcmn", "head_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "headcmn", "head_nm_wkl")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMask", "headcmn", "head_nm_mask")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- Eyes
	part = "eyes"	 
	gr:CreateMaterialFromAttribulator(player, lod, part, "eye_material", "${AttribMaterial('eyes')}" )
	gr:SetSubMesh(player, lod, part, "eyes")
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "eyetex", "eyes_")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "headcmn", "eye_coeff")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "headcmn", "eyes_nm")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "env_")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- hair1
	part = "hair1"
	gr:CreateMaterialFromAttribulator(player, lod, part, "hair_material", "${AttribMaterial('player_hair_kk_alphaA')}")
	gr:SetSubMesh(player, lod, part, "alphaA")
	gr:SetPriority(player, lod, part, 1)             -- haircap render before hair 2
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "hairtex", "hair_cm") 
	gr:SetTexture(player, lod, part, "textures", "specAlphaMap", "hairtex", "hair_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")	
	gr:SetConstantARGB(player, lod, part, "global", "hairColorPri", "${GetHairColorARGB(?, "..HAIR_COLOR_PRI_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorSec", "${GetHairColorARGB(?, "..HAIR_COLOR_SEC_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorTer", "${GetHairColorARGB(?, "..HAIR_COLOR_TER_TYPE..")}")	
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- hair2
	part = "hair2"
	gr:CreateMaterialFromAttribulator(player, lod, part, "hair_material2", "${AttribMaterial('player_hair_kk_alphaB')}")
	gr:SetSubMesh(player, lod, part, "alphaB")
	gr:SetPriority(player, lod, part, 2)             -- strands render after hair 1
	gr:SetSelfShadowAlpha(player, lod, part)          -- will use different self shadow shader that accounts for alpha
	--gr:DisableSelfShadow(player, lod, part)          -- Don't render the hairstrands into the selfshadow.
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "hairtex", "hair_cm")
	gr:SetTexture(player, lod, part, "textures", "specAlphaMap", "hairtex", "hair_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorPri", "${GetHairColorARGB(?, "..HAIR_COLOR_PRI_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorSec", "${GetHairColorARGB(?, "..HAIR_COLOR_SEC_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorTer", "${GetHairColorARGB(?, "..HAIR_COLOR_TER_TYPE..")}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- socks
	part = "socks"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "socks_material", "${AttribMaterial('socklod')}" )
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "socks_material", "${AttribMaterial('sock')}" )  
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "sockbnmlod", "shorts_nm")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourSocksPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourSocksSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourSocksTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	-- shoes
	part = "shoes"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "body_material", "${AttribMaterial('shoelod')}" )
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "shoe_material", "${AttribMaterial('shoe')}" )
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shoetex", "shoe_cm")	
	gr:SetTexture(player, lod, part, "textures", "normalMap", "shoetex", "shoe_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "shoetex", "shoe_coeff")	
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "customColorPri", "${db.player[?].shoeColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "customColorSec", "${db.player[?].shoeColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "customColorTer", "${db.player[?].shoeColorTer}")
	
	--underarmor neck
	local part = "underneck"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "underneck_material", "${AttribMaterial('socklod')}" )
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "underneck_material", "${AttribMaterial('undergear')}" )
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnm", "jersey_nm")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourMaskPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourMaskSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourMaskTer}")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")
	
	--underarmor sleeves
	local part = "underarms"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "underarms_material", "${AttribMaterial('socklod')}" )
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "underarms_material", "${AttribMaterial('undergear')}" )
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnm", "jersey_nm")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourMaskPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourMaskSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourMaskTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	--undershorts
	local part = "undershorts"
	if (levelOfDetail == "low" or levelOfDetail == "superlow") then
		gr:CreateMaterialFromAttribulator(player, lod, part, "undershorts_material", "${AttribMaterial('socklod')}")
	else
		gr:CreateMaterialFromAttribulator(player, lod, part, "undershorts_material", "${AttribMaterial('undergear')}") 
	end
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnm", "shorts_nm")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourShortPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourShortSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourShortTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")
	
end

---------------------------------------------------------------------------------------------------
function PlayerAssetLowLod(player, lod)
	local gr = gRenderables

	skinLodTone = "${GetSkinTone(?,"..lod..")}"
	faceLodTone = "${GetFaceTone(?,"..lod..")}"


	-- GEO's
	if (lod == 1) then
		gr:AddAsset(player, lod, "jersey", "data/sceneassets/body/jersey_2_${db.player[?].jerseyCollarType}_${db.player[?].jerseySleeveLength}_${db.player[?].jerseyArmBand}_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "shorts", "data/sceneassets/body/shorts_2_${db.player[?].shortstyle}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodyskinlod", "data/sceneassets/body/body_2_${db.player[?].armLength}_0_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodyshoelod", "data/sceneassets/body/shoes_2_0_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodysocklod", "data/sceneassets/body/socks_2_${db.player[?].socklength}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "headlod",  "data/sceneassets/body/head_2_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "eyeslod",  "data/sceneassets/body/head_2_${db.player[?].gender}.rx3")
	elseif (lod == 2) then
		gr:AddAsset(player, lod, "jersey", "data/sceneassets/body/jersey_3_${db.player[?].jerseySleeveLength}_${db.player[?].jerseyArmBand}_${db.player[?].jerseyTucked}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "shorts", "data/sceneassets/body/shorts_3_${db.player[?].shortstyle}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodyskinlod", "data/sceneassets/body/body_3_${db.player[?].armLength}_0_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodyshoelod", "data/sceneassets/body/shoes_3_0_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "bodysocklod", "data/sceneassets/body/socks_3_${db.player[?].socklength}_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "headlod",  "data/sceneassets/body/head_3_${db.player[?].gender}.rx3")
		gr:AddAsset(player, lod, "eyeslod",  "data/sceneassets/body/head_3_${db.player[?].gender}.rx3")
	end
	
	gr:AddAsset(player, lod, "hairlod",  "${GetRMHairModLod(?)}data/sceneassets/hairlod/hairlod_${db.player[?].hair}_${db.player[idx].faceProxyHeadClass}_0.rx3")
	gr:AddAsset(player, lod, "jerseybnmlod", "data/sceneassets/kit/jersey_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_bnm_lod.rx3")
	gr:AddAsset(player, lod, "shortsbnmlod", "data/sceneassets/kit/shorts_${db.player[?].shortstyle}_bnm_lod.rx3")

	local part = "jersey"
	gr:CreateMaterialFromAttribulator(player, lod, part, "jersey_material", "${AttribMaterial('jerseylod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnmlod", "jersey_nm")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShirt_Tens", "kitnumbers", "numbers_${db.player[?].kitNumberTens}")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShirt_Units", "kitnumbers", "numbers_${db.player[?].kitNumberUnits}")
	gr:SetTexture(player, lod, part, "textures", "tex_decalmap", "cresttex", "${db.player[?].crestTexName}")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "jerseyName", "namestamp${?}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_frontNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_frontNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_backNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "jersey_backNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")
	
	gr:SetHotSpot(player, lod, part, "global", "jersey_decalBounds", "kithotspots", "jersey", "team")
	gr:SetHotSpot(player, lod, part, "global", "jersey_nameBound", "kithotspots", "jersey", "name")
	gr:SetHotSpot(player, lod, part, "global", "jersey_nameArcCenter", "kithotspots", "jersey", "name_arccenter")
	gr:SetConstantInt(player, lod, part, "global", "jersey_nameLayout", "${db.player[?].jerseyNameLayout}")
	
	gr:SetConstantARGB(player, lod, part, "global", "jersey_nameColor", "${db.player[?].kitNameColor}")
	
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorPri", "${db.player[?].kitNumberColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorSec", "${db.player[?].kitNumberColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "kitNumberCustomColorTer", "${db.player[?].kitNumberColorTer}")

	part = "shorts"
	gr:CreateMaterialFromAttribulator(player, lod, part, "body_material", "${AttribMaterial('shortslod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnmlod", "shorts_nm")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "tex_decalmap", "cresttex", "${db.player[?].crestTexName}")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShorts_Tens", "shortsnumbers", "numbers_${db.player[?].kitNumberTens}")
	gr:SetTexture(player, lod, part, "textures", "jerseyNumberShorts_Units", "shortsnumbers", "numbers_${db.player[?].kitNumberUnits}")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetHotSpot(player, lod, part, "global", "shorts_decalBounds", "shortshotspots", "shorts", "team")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "shorts_frontNumUnitsBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "shorts_frontNumTensBound")
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourShortPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourShortSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourShortTer}")
	
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorPri", "${db.player[?].shortsNumberColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorSec", "${db.player[?].shortsNumberColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "shortsNumberCustomColorTer", "${db.player[?].shortsNumberColorTer}")

	part = "bodyskinlod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "body_material", skinLodTone )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "skintex", "body_${db.player[?].bodySkinToneType}_${db.player[?].strgender}_cm")  
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "bodycmn", "body_${db.player[?].strgender}_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "bodycmn", "body_${db.player[?].strgender}_coeff")
	gr:SetConstantARGB(player, lod, part, "global", "skincolor", "${db.player[?].playerBodySkinColor}")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	part = "bodyshoelod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "body_material", "${AttribMaterial('shoelod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shoetex", "shoe_cm")	
	gr:SetTexture(player, lod, part, "textures", "normalMap", "shoetex", "shoe_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "shoetex", "shoe_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")	
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "customColorPri", "${db.player[?].shoeColorPri}")
	gr:SetConstantARGB(player, lod, part, "global", "customColorSec", "${db.player[?].shoeColorSec}")
	gr:SetConstantARGB(player, lod, part, "global", "customColorTer", "${db.player[?].shoeColorTer}")

	part = "bodysocklod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "body_material", "${AttribMaterial('socklod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnmlod", "shorts_nm")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourSocksPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourSocksSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourSocksTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	-- eyes
	part = "eyeslod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "head_material", "${AttribMaterial('eyeslod')}" )
	gr:SetSubMesh(player, lod, part, "eye")
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "eyetex", "eyes_")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "headcmn", "eye_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "env_")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- head
	part = "headlod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "head_material", faceLodTone )
	gr:SetSubMesh(player, lod, part, "head")
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "facetex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "beardTexture", "beardtex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "browTexture", "browtex", "head_cm")
	gr:SetTexture(player, lod, part, "textures", "normalMap", "headcmn", "head_0_nm")
	gr:SetTexture(player, lod, part, "textures", "coeffMap", "headcmn", "head_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	-- hair
	part = "hairlod"
	gr:CreateMaterialFromAttribulator(player, lod, part, "hair_material", "${AttribMaterial('player_hair_kk_alphaA_lod')}")
	gr:SetSubMesh(player, lod, part, "alphaA")
	gr:SetPriority(player, lod, part, 1)
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "hairtex", "hair_cm")
	gr:SetTexture(player, lod, part, "textures", "specAlphaMap", "hairtex", "hair_coeff")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
		
	gr:SetConstantARGB(player, lod, part, "global", "hairColorPri", "${GetHairColorARGB(?, "..HAIR_COLOR_PRI_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorSec", "${GetHairColorARGB(?, "..HAIR_COLOR_SEC_TYPE..")}")
	gr:SetConstantARGB(player, lod, part, "global", "hairColorTer", "${GetHairColorARGB(?, "..HAIR_COLOR_TER_TYPE..")}")
	
	--underarmor neck
	local part = "underneck"
	gr:CreateMaterialFromAttribulator(player, lod, part, "underneck_material", "${AttribMaterial('socklod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnmlod", "jersey_nm")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourMaskPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourMaskSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourMaskTer}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	--underarmor sleeves
	local part = "underarms"
	gr:CreateMaterialFromAttribulator(player, lod, part, "underarms_material", "${AttribMaterial('socklod')}" )
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "jersey_tex", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "kittex_common", "jersey_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "jerseyam", "jersey_am")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "jerseydk", "jersey_dk")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "jerseybnm", "jersey_nm")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourMaskPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourMaskSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourMaskTer}")

	
	--undershorts
	local part = "undershorts"
	gr:CreateMaterialFromAttribulator(player, lod, part, "undershorts_material", "${AttribMaterial('socklod')}") 
	gr:SetTexture(player, lod, part, "textures", "diffuseTexture", "shortstex", "shorts_cm")
	gr:SetTexture(player, lod, part, "textures", "specularMap", "shortstex", "shorts_coeff")
	gr:SetTexture(player, lod, part, "textures", "occlusionMap", "shortsam", "shorts_am")
	gr:SetTexture(player, lod, part, "textures", "wrinkleMap", "shortsbnmlod", "shorts_nm")
	gr:SetTexture(player, lod, part, "textures", "envDiffuseTexture", "charcmn", "envd_")
	gr:SetTexture(player, lod, part, "textures", "envSpecTexture", "charcmn", "envs_")
	gr:SetTexture(player, lod, part, "textures", "dirtMap", "shortsdk", "shorts_${db.player[?].shortstyle}_dk")
	gr:SetTexture(player, lod, part, "textures", "weavePatternNormalMap", "cmnweave", "kit_weave")
	gr:SetTextureFromRuntime(player, lod, part, "textures", "coverageMap", "covmap_${db.player[?].stadiumID}_${db.player[?].stadiumLightID}")
	
	gr:SetPlaceholderVectorParam(player, lod, part, "global", "DirtSelector")

	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorPri", "${db.player[?].kitColourShortPri}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorSec", "${db.player[?].kitColourShortSec}")
	gr:SetConstantARGB(player, lod, part, "global", "jerseyCustomColorTer", "${db.player[?].kitColourShortTer}")
	
end

---------------------------------------------------------------------------------------------------
function GetFaceTexTemplate(idx)
	print("GetFaceTexTemplate")
	if(db.player[idx].isVirtualPro == 1) then
		--return "data/sceneassets/faces/face_"..db.player[idx].faceType.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurn.."_"..db.player[idx].facialHairColor.."_"..db.player[idx].facialHairType.."_"..db.player[idx].headSkinType.."_"..db.player[idx].headSkinToneType.."_textures."..db.player[idx].faceTexExtension..";data/sceneassets/faces/face_"..db.player[idx].faceTypeFallback.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurnFallback.."_"..db.player[idx].facialHairColorFallback.."_"..db.player[idx].facialHairTypeFallback.."_"..db.player[idx].headSkinTypeFallback.."_"..db.player[idx].headSkinToneTypeFallback.."_textures.rx3"
		facetex = string.format("data/easw/head_%d.dds", db.player[idx].faceType)
		return "${GetRMFaceTex(?)}"..facetex..";data/sceneassets/faces/face_"..db.player[idx].faceTypeFallback.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurnFallback.."_"..db.player[idx].facialHairColorFallback.."_"..db.player[idx].facialHairTypeFallback.."_"..db.player[idx].headSkinTypeFallback.."_"..db.player[idx].headSkinToneTypeFallback.."_textures.rx3"
	else
		if (db.player[idx].faceProxyHeadClass == 0) then	-- authentic head
			print("data/sceneassets/faces/face_"..db.player[idx].faceType.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurn.."_"..db.player[idx].facialHairColor.."_"..db.player[idx].facialHairType.."_"..db.player[idx].headSkinType.."_"..db.player[idx].headSkinToneType.."_textures."..db.player[idx].faceTexExtension)
			return "${GetRMFaceTex(?)}data/sceneassets/faces/face_"..db.player[idx].faceType.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurn.."_"..db.player[idx].facialHairColor.."_"..db.player[idx].facialHairType.."_"..db.player[idx].headSkinType.."_"..db.player[idx].headSkinToneType.."_textures."..db.player[idx].faceTexExtension
		else	-- generic head
			print("data/sceneassets/genheadtex/skin_"..db.player[idx].headSkinToneType.."_"..db.player[idx].headSkinType.."."..db.player[idx].faceTexExtension)
			return "${GetRMFaceTex(?)}data/sceneassets/genheadtex/skin_"..db.player[idx].headSkinToneType.."_"..db.player[idx].headSkinType.."."..db.player[idx].faceTexExtension
		end
	end
end

---------------------------------------------------------------------------------------------------
function GetBeardTexTemplate(idx)
	print("GetBeardTexTemplate")
	if (db.player[idx].faceProxyHeadClass == 0) then	-- authentic head
		return "data/sceneassets/genheadtex/beard_2_0_0.rx3"
	else	-- generic head
		print("data/sceneassets/genheadtex/beard_"..db.player[idx].headSkinToneType.."_"..db.player[idx].facialHairType.."_"..db.player[idx].facialHairColor.."."..db.player[idx].faceTexExtension)
		return "data/sceneassets/genheadtex/beard_"..db.player[idx].headSkinToneType.."_"..db.player[idx].facialHairType.."_"..db.player[idx].facialHairColor.."."..db.player[idx].faceTexExtension	
	end	
end

---------------------------------------------------------------------------------------------------
function GetBrowTexTemplate(idx)
	print("GetBrowTexTemplate")
	if (db.player[idx].faceProxyHeadClass == 0) then	-- authentic head
		return "data/sceneassets/genheadtex/beard_2_0_0.rx3"
	else	-- generic head
		print("data/sceneassets/genheadtex/brow_"..db.player[idx].headSkinToneType.."_"..db.player[idx].eyebrow.."_"..db.player[idx].facialHairColor.."."..db.player[idx].faceTexExtension)		
		return "data/sceneassets/genheadtex/brow_"..db.player[idx].headSkinToneType.."_"..db.player[idx].eyebrow.."_"..db.player[idx].facialHairColor.."."..db.player[idx].faceTexExtension
	end	
end


---------------------------------------------------------------------------------------------------
function GetJerseyBMN(idx)

	if(db.player[idx].forceLowResBNM == 1 or db.player[idx].forcePowerOfTwoBNM == 1) then
		return "data/sceneassets/kit/jersey_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_bnm_x2.rx3"
	end
		
	return "data/sceneassets/kit/jersey_${db.player[?].jerseyTucked}_${db.player[?].jerseyfit}_bnm.rx3"
end

---------------------------------------------------------------------------------------------------
function GetShortsBMN(idx)

	if(db.player[idx].forcePowerOfTwoBNM == 1 or db.player[idx].forceLowResBNM == 1) then
		return "data/sceneassets/kit/shorts_0_bnm_x2.rx3"
	end
	
	return "data/sceneassets/kit/shorts_${db.player[idx].shortstyle}_bnm.rx3"
end

---------------------------------------------------------------------------------------------------
-- returns kit texture or goalie pants kit 5200
function GetShortsTex(idx)
local pants = ""

	pants = pants.."data/sceneassets/playerpants/playerpants_"..db.player[idx].playerassetid.."_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".rx3;"
	pants = pants.."data/sceneassets/playerpants/playerpants_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".rx3;"
	pants = pants.."data/sceneassets/playerpants/playerpants_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_0.rx3;"
	pants = pants.."data/sceneassets/playerpants/playerpants_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_0_"..db.player[idx].kitYear..".rx3;"
	pants = pants.."data/sceneassets/kit/kit_"..db.player[idx].kit.."_99_0.rx3;"
	pants = pants.."data/sceneassets/kit/kit_5200_0_0.rx3;"


	if(db.player[idx].shortstyle == 1) then
		return pants
	else
		return GetKitFifaYoun(idx)
	end
end

function GetKitTextureOperation(idx)
	if (db.player[idx].useTextureComposition == 1) then
		-- Creation Zone requires generated textures, describe the operation
		-- assetOperation generatetexture: "generatetexture texname width, height, mipCount, compression"
		return "generatetexture jersey_cm 1024,1024,9,eadxt1"
	else
		-- For others we do not need to generate the texture, so we just extract the source asset
		return "extracttexture jersey_cm"
	end
end

function GetKitTextureAssetName(idx)
	if (db.player[idx].useTextureComposition == 1) then
		-- Creation Zone requires generated textures, thus give the asset a unique name
		-- For CZ, kittype is always home, and year is always zero.
		return "gentex_kit_${db.player[?].kit}_${db.player[?].kitType}_${db.player[?].kitYear}_${db.player[?].teamside}_${db.player[?].kitColourJerseyPri}_${db.player[?].kitColourJerseySec}_${db.player[?].kitColourJerseyTer}"
	else
		-- Keep regular rx3 name as this is the source of the texture
		return GetKitFifaYoun(idx)

	end
end


---------------------------------------------------------------------------------------------------
function PlayerAssetLod(player, lod)
	local gr = gRenderables
	
	local defaultpriority = 0	-- default priority

	gr:AddCallback(player, lod, "PlayerUpdate(?)")
	
	local kitTexAsset = "${GetKitFifaYoun(?)}"
		
	-- Generic files needed by all LODs
	gr:AddAsset(player, lod, "shader", "data/fifarna/shader.big")		
	gr:AddAsset(player, lod, "charcmn", "data/sceneassets/charactercmn/charactercmn_${db.player[?].envLighting}.rx3")	
	gr:AddAsset(player, lod, "bodycmn", "data/sceneassets/body/body_common_${db.player[?].gender}_textures.rx3")	
	gr:AddAsset(player, lod, "headcmn", "${GetRMFaceBump(?)}data/sceneassets/heads/head_${db.player[?].playerassetid}_bump.rx3;data/sceneassets/heads/head_common_textures.rx3")	

	-- Sponsor image for stamping onto kit
	gr:AddAsset(player, lod, "sponsortex", "${GetRMKitOverlay(?)}data/ugc/cz_sponsor/${db.player[?].sponsorAssetId}.png;data/ugc/cz_sponsor/1.png", defaultpriority, ALLOCTYPE_TEMP_AUTO_RELEASE)
	
	-- gr:AddAssetEx(asset, lod, assetOperation, assetPart, containerName)
	-- extracttexture will create an asset with just the texture you extract from the source asset, this way we can free the original rx3, freeing unused textures.
	gr:AddAssetEx(player, lod, "extracttexture jersey_coeff", "kittex_common" , kitTexAsset)
	gr:AddAssetEx(player, lod, "extracttexture shorts_cm,shorts_coeff", "shortstex" , "${GetShortsTex(?)}")
	gr:AddAssetEx(player, lod, "extracthotspots", "kithotspots" , kitTexAsset)
	gr:AddAssetEx(player, lod, "extracthotspots", "shortshotspots",  "${GetShortsTex(?)}")
	gr:AddAssetEx(player, lod, "extracttexture ${db.player[?].crestTexName}", "cresttex", "${GetCrestAsset(?)}")
	

	-- Texture composition code
	-- Add the template asset as a temporary asset, auto releasing it when it's not being used (after texture generation in this case)
	gr:AddAssetEx(player, lod, "extracttexture jersey_cm", "kittex_cm_template" , kitTexAsset, defaultpriority, ALLOCTYPE_TEMP_AUTO_RELEASE)
	local part = "jersey_tex"
	-- GetKitTextureOperation will determine if texture composition is needed.
	gr:AddAssetEx(player, lod, "${GetKitTextureOperation(?)}", part , "${GetKitTextureAssetName(?)}")
	-- Describe texture composition in case we have to generate the texture, this material won't be created if no composition is needed.
	gr:CreateMaterial(player, lod, part, "texcomp.fx" )
	gr:SetTexture(player, lod, part, "textures", "texcomp_tex0", "kittex_cm_template", "jersey_cm")
	gr:SetTexture(player, lod, part, "textures", "texcomp_tex1", "sponsortex", "png")
	gr:SetConstantARGB(player, lod, part, "global", "recolorCustomColorPri", "${db.player[?].kitColourJerseyPri}")
	gr:SetConstantARGB(player, lod, part, "global", "recolorCustomColorSec", "${db.player[?].kitColourJerseySec}")
	gr:SetConstantARGB(player, lod, part, "global", "recolorCustomColorTer", "${db.player[?].kitColourJerseyTer}")
	gr:SetConstantARGB(player, lod, part, "global", "recolourMult", "${db.player[?].sponsorcolour}")
	gr:SetConstantHotSpot(player, lod, part, "global", "samplerBounds1", "${db.player[?].hotspotJerseySponsorL};${db.player[?].hotspotJerseySponsorT};${db.player[?].hotspotJerseySponsorR};${db.player[?].hotspotJerseySponsorB}")
	-- End of texture composition
	
	-- Set the jersey texture as a runtime texture so we can use it outside of player
	gr:SetRuntimeTexture(player, lod, "jersey_${db.player[?].kit}_${db.player[?].kitType}_${db.player[?].isgoalie}_${db.player[?].teamside}" , "jersey_tex", "jersey_cm")
	
	gr:AddAsset(player, lod, "shoetex", "data/sceneassets/shoe/playershoe_${db.player[?].playerassetid}_0_0_0_textures.rx3;data/sceneassets/shoe/shoe_${db.player[?].shoeType}_${db.player[?].shoeDesign}_textures.rx3;data/sceneassets/shoe/shoe_23_0_textures.rx3")	
	gr:AddAsset(player, lod, "skintex", "${GetRMSkinTex(?)}data/sceneassets/body/playerskin_${db.player[?].playerassetid}_textures.rx3;data/sceneassets/body/skin_${db.player[?].bodySkinToneType}_${db.player[?].gender}_textures.rx3")
	
	gr:AddAsset(player, lod, "hairtex", "${GetRMHairTex(?)}data/sceneassets/hair/hair_${db.player[?].hair}_${db.player[?].faceProxyHeadClass}_0_textures.rx3")
	gr:AddAsset(player, lod, "shortsam", "data/sceneassets/kit/shorts_${db.player[?].shortstyle}_${db.player[?].wet}_textures.rx3")
	gr:AddAsset(player, lod, "jerseyam", "data/sceneassets/kit/jersey_${db.player[?].jerseyTucked}_${db.player[?].wet}_textures.rx3")
	local jerseyBNM = "${GetJerseyBMN(?)}"
	gr:AddAsset(player, lod, "jerseybnm", jerseyBNM)

	gr:AddAsset(player, lod, "cmnweave", "data/sceneassets/kit/kitweave.rx3")	
	local shortsBNM = "${GetShortsBMN(?)}"
	gr:AddAsset(player, lod, "shortsbnm", shortsBNM)
	
	gr:AddAsset(player, lod, "shortsdk", "data/sceneassets/kit/shorts_${db.player[?].shortstyle}_dk.rx3")
	gr:AddAsset(player, lod, "jerseydk", "data/sceneassets/kit/jersey_dk.rx3")

	gr:AddAsset(player, lod, "eyetex", "${GetRMEyeTex(?)}data/sceneassets/heads/eyes_${db.player[?].eyeColor}_1_textures.rx3")

	
	-- Add font as a temporary asset, because the font is used after the load (bind time), we still have to manually release it from the renderable
	-- TODO: add font stamping support to composite instead of having the renderable do this at bind time
	gr:AddAsset(player, lod, "font", "${GetRMNameFont(?)}data/sceneassets/jerseyfonts/font_${db.player[?].kitNameFont}.ttf", defaultpriority, ALLOCTYPE_TEMP_MANUAL_RELEASE)
	gr:AddAsset(player, lod, "kitnumbers", "data/sceneassets/kitnumbers/kitnumbers_${db.player[?].kitNumberFont}.rx3;data/sceneassets/kitnumbers/kitnumbers_0.rx3")
	gr:AddAsset(player, lod, "shortsnumbers", "data/sceneassets/kitnumbers/kitnumbers_${db.player[?].shortsNumberFont}.rx3;data/sceneassets/kitnumbers/kitnumbers_0.rx3")
	
	local faceGenTemplate = "${GetFaceTexTemplate(?)}"
	gr:AddAsset(player, lod, "facetex", faceGenTemplate)
	
	local beardGenTemplate = "${GetBeardTexTemplate(?)}"
	gr:AddAsset(player, lod, "beardtex", beardGenTemplate)
	
	local browGenTemplate = "${GetBrowTexTemplate(?)}"
	gr:AddAsset(player, lod, "browtex", browGenTemplate)
	
	gr:AddAsset(player, lod, "underarms", "data/sceneassets/body/underarms_1_${db.player[?].underarms}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "underneck", "data/sceneassets/body/underneck_1_${db.player[?].underneck}_${db.player[?].gender}.rx3")
	gr:AddAsset(player, lod, "undershorts", "data/sceneassets/body/undershorts_1_${db.player[?].undershorts}_${db.player[?].gender}.rx3")


	if (lod == 0) then
		PlayerAssetHighLod(player, lod)
	elseif (lod == 1) then
		PlayerAssetLowLod(player, lod)	
	elseif (lod == 2) then
		PlayerAssetLowLod(player, lod)	
	end	
	
end

---------------------------------------------------------------------------------------------------
function PlayerAssetBind(player)
	PlayerAssetLod(player, 0)
	PlayerAssetLod(player, 1)
	PlayerAssetLod(player, 2)

end

function GetRMKitOverlay(idx)
	local kitstring = ""


	kitstring = kitstring.."data/sceneassets/playerkitoverlay/playerkitoverlay_"..db.player[idx].playerassetid.."_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".png;"
	kitstring = kitstring.."data/sceneassets/playerkitoverlay/playerkitoverlay_"..db.player[idx].playerassetid.."_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_0_"..db.player[idx].kitYear..".png;"
	kitstring = kitstring.."data/sceneassets/playerkitoverlay/playerkitoverlay_"..db.player[idx].playerassetid..".png;"


	kitstring = kitstring.."data/sceneassets/kitoverlay/kitoverlay_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".png;"
	kitstring = kitstring.."data/sceneassets/kitoverlay/kitoverlay_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_0.png;"
	kitstring = kitstring.."data/sceneassets/kitoverlay/kitoverlay_"..db.player[idx].kit.."_0_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".png;"
	kitstring = kitstring.."data/sceneassets/kitoverlay/kitoverlay_"..db.player[idx].kit.."_"..db.player[idx].kitType.."_0_"..db.player[idx].kitYear..".png;"
	kitstring = kitstring.."data/sceneassets/kitoverlay/kitoverlay_"..db.player[idx].kit.."_0_0_0.png;"

	return kitstring
end

function GetRMFaceTex(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/faces/specificface_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/specificface_"..db.player[idx].playerassetid.."_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/specificface_"..db.player[idx].playerassetid.."_0_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/specificface_0_"..db.player[idx].teamid.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/specificface_"..db.player[idx].playerassetid.."_0_0_0_0_0_0_0_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/face_"..db.player[idx].playerassetid.."_0_0_0_0_0_0_0_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/faces/face_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/faces/face_"..db.player[idx].playerassetid.."_0_0_0_0_0_0_0_0_textures.rx3;"
	if(db.player[idx].isVirtualPro == 0) then
	hpart = hpart.."data/sceneassets/faces/face_"..db.player[idx].faceType.."_"..db.player[idx].faceProxyHeadClass.."_0_"..db.player[idx].eyebrow.."_"..db.player[idx].faceSideBurn.."_"..db.player[idx].facialHairColor.."_"..db.player[idx].facialHairType.."_"..db.player[idx].headSkinType.."_"..db.player[idx].headSkinToneType.."_textures.rx3;"
	end
	return hpart
end

function GetRMHairTex(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_0_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_0_"..db.player[idx].teamid.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/hair/hair_"..db.player[idx].playerassetid.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/hair/hair_"..db.player[idx].playerassetid.."_0_textures.rx3;"
	return hpart
end

function GetRMEyeTex(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/heads/specificeyes_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/heads/specificeyes_"..db.player[idx].playerassetid.."_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/heads/specificeyes_"..db.player[idx].playerassetid.."_1_textures.rx3;"
	hpart = hpart.."data/sceneassets/heads/specificeyes_"..db.player[idx].playerassetid.."_0_0_textures.rx3;"
	hpart = hpart.."data/sceneassets/heads/specificeyes_0_"..db.player[idx].teamid.."_textures.rx3;"
	hpart = hpart.."data/sceneassets/heads/eyes_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/heads/eyes_"..db.player[idx].playerassetid.."_0_textures.rx3;"
	return hpart
end

function GetRMHairMod(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand..".rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_0.rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_"..db.player[idx].playerassetid.."_0_0.rx3;"
	hpart = hpart.."data/sceneassets/hair/specifichair_0_"..db.player[idx].teamid..".rx3;"
	hpart = hpart.."data/sceneassets/hair/hair_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/hair/hair_"..db.player[idx].playerassetid.."_0_0.rx3;"
	return hpart
end

function GetRMFaceMod(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/heads/specifichead_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand..".rx3;"
	hpart = hpart.."data/sceneassets/heads/specifichead_"..db.player[idx].playerassetid.."_0.rx3;"
	hpart = hpart.."data/sceneassets/heads/specifichead_"..db.player[idx].playerassetid.."_0_0.rx3;"
	hpart = hpart.."data/sceneassets/heads/specifichead_0_"..db.player[idx].teamid..".rx3;"
	hpart = hpart.."data/sceneassets/heads/head_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/heads/head_"..db.player[idx].playerassetid.."_0.rx3;"
	return hpart
end

function GetRMHairModLod(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/hairlod/specifichairlod_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand..".rx3;"
	hpart = hpart.."data/sceneassets/hairlod/specifichairlod_"..db.player[idx].playerassetid.."_0.rx3;"
	hpart = hpart.."data/sceneassets/hairlod/specifichairlod_"..db.player[idx].playerassetid.."_0_0.rx3;"
	hpart = hpart.."data/sceneassets/hairlod/specifichairlod_0_"..db.player[idx].teamid..".rx3;"
	hpart = hpart.."data/sceneassets/hairlod/hairlod_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/hairlod/hairlod_"..db.player[idx].playerassetid.."_0_0.rx3;"
	return hpart
end

function GetRMFaceBump(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/heads/specifichead_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand.."_bump.rx3;"
	hpart = hpart.."data/sceneassets/heads/specifichead_"..db.player[idx].playerassetid.."_0_bump.rx3;"
	hpart = hpart.."data/sceneassets/heads/specifichead_0_"..db.player[idx].teamid.."_bump.rx3;"
	hpart = hpart.."data/sceneassets/heads/head_"..db.player[idx].playerassetid.."_bump.rx3;"
	return hpart
end

function GetRMSkinTex(idx)
	local hpart = ""
	hpart = hpart.."data/sceneassets/body/playerskin_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand..".rx3;"
	hpart = hpart.."data/sceneassets/body/playerskin_"..db.player[idx].playerassetid.."_0.rx3;"
	hpart = hpart.."data/sceneassets/body/playerskin_0_"..db.player[idx].teamid..".rx3;"
	hpart = hpart.."data/sceneassets/body/playerskin_"..db.player[idx].playerassetid..".rx3;"
	hpart = hpart.."data/sceneassets/playerskin/playerskin_"..db.player[idx].playerassetid.."_"..db.player[idx].facerand..".rx3;"
	hpart = hpart.."data/sceneassets/playerskin/playerskin_"..db.player[idx].playerassetid.."_0.rx3;"
	hpart = hpart.."data/sceneassets/playerskin/playerskin_0_"..db.player[idx].teamid..".rx3;"
	hpart = hpart.."data/sceneassets/playerskin/playerskin_"..db.player[idx].playerassetid..".rx3;"
	return hpart
end

function GetRMNameFont(idx)
	local kitnamestring = ""
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid.."_0.ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_"..db.player[idx].kitType.."_"..db.player[idx].tournid..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_0_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_0_0_"..db.player[idx].tournid.."_"..db.player[idx].kitYear..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_0_0_"..db.player[idx].kitYear..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_"..db.player[idx].kitYear..".ttf;"

	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_0_"..db.player[idx].tournid..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_0_0_"..db.player[idx].tournid..".ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid.."_0_0.ttf;"
	kitnamestring = kitnamestring.."data/sceneassets/jerseyfonts/specificfont_"..db.player[idx].teamid..".ttf;"
	return kitnamestring
end






